diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNameEditorPresenter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNameEditorPresenter.java
index 60704927..cb2b2bd2 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNameEditorPresenter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNameEditorPresenter.java
@@ -13,6 +13,7 @@ import java.util.EnumSet;
 import java.util.HashSet;
 import java.util.List;
 import java.util.Set;
+import java.util.UUID;
 
 import org.apache.log4j.Logger;
 import org.hibernate.criterion.Restrictions;
@@ -135,7 +136,7 @@ public class TaxonNameEditorPresenter extends AbstractCdmEditorPresenter<TaxonNa
      * {@inheritDoc}
      */
     @Override
-    protected TaxonName loadCdmEntityById(Integer identifier) {
+    protected TaxonName loadCdmEntity(UUID identifier) {
 
         List<String> initStrategy = Arrays.asList(new String []{
 
@@ -216,7 +217,7 @@ public class TaxonNameEditorPresenter extends AbstractCdmEditorPresenter<TaxonNa
      * {@inheritDoc}
      */
     @Override
-    protected void guaranteePerEntityCRUDPermissions(Integer identifier) {
+    protected void guaranteePerEntityCRUDPermissions(UUID identifier) {
         if(crud != null){
             newAuthorityCreated = UserHelper.fromSession().createAuthorityForCurrentUser(TaxonName.class, identifier, crud, null);
         }
@@ -316,7 +317,7 @@ public class TaxonNameEditorPresenter extends AbstractCdmEditorPresenter<TaxonNa
         referenceEditorPopup.grantToCurrentUser(EnumSet.of(CRUD.UPDATE, CRUD.DELETE));
         referenceEditorPopup.withDeleteButton(true);
         referenceEditorPopup.setBeanInstantiator(newReferenceInstantiator);
-        referenceEditorPopup.loadInEditor(event.getEntityId());
+        referenceEditorPopup.loadInEditor(event.getEntityUuid());
         if(newReferenceInstantiator != null){
             // this is a bit clumsy, we actually need to inject something like a view configurer
             // which can enable, disable fields
@@ -375,7 +376,7 @@ public class TaxonNameEditorPresenter extends AbstractCdmEditorPresenter<TaxonNa
                 .filter(
                         m -> !TaxonNamePopupEditorMode.NOMENCLATURALREFERENCE_SECTION_EDITING_ONLY.equals(m))
                 .forEach(m -> basionymNamePopup.enableMode(m));
-        basionymNamePopup.loadInEditor(event.getEntityId());
+        basionymNamePopup.loadInEditor(event.getEntityUuid());
         basionymNamePopup.getBasionymToggle().setVisible(false);
 
     }
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
index 96a3f722..2ab8629a 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
@@ -13,6 +13,7 @@ import java.util.EnumSet;
 import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
+import java.util.UUID;
 
 import org.apache.commons.lang3.BooleanUtils;
 import org.apache.log4j.Level;
@@ -282,7 +283,7 @@ public class TaxonNamePopupEditor extends AbstractCdmPopupEditor<TaxonName, Taxo
                 getViewEventBus().publish(this,
                     new ReferenceEditorAction(
                             EditorActionType.EDIT,
-                            nomReferenceCombobox.getValue().getId(),
+                            nomReferenceCombobox.getValue().getUuid(),
                             nomReferenceCombobox,
                             this)
                 );
@@ -318,12 +319,12 @@ public class TaxonNamePopupEditor extends AbstractCdmPopupEditor<TaxonName, Taxo
         basionymsComboboxSelect.setEditActionListener(e -> {
 
             Object fieldValue = e.getSource().getValue();
-            Integer beanId = null;
+            UUID beanUuid = null;
             if(fieldValue != null){
-                beanId = ((CdmBase)fieldValue).getId();
+                beanUuid = ((CdmBase)fieldValue).getUuid();
 
             }
-            getViewEventBus().publish(this, new TaxonNameEditorAction(e.getAction(), beanId, e.getSource(), this));
+            getViewEventBus().publish(this, new TaxonNameEditorAction(e.getAction(), beanUuid, e.getSource(), this));
         });
         grid.setComponentAlignment(basionymsComboboxSelect, Alignment.TOP_RIGHT);
         row++;
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TypeDesignationWorkingsetEditorIdSet.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TypeDesignationWorkingsetEditorIdSet.java
index 00f2f415..64355e56 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TypeDesignationWorkingsetEditorIdSet.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TypeDesignationWorkingsetEditorIdSet.java
@@ -8,45 +8,44 @@
 */
 package eu.etaxonomy.cdm.vaadin.view.name;
 
+import java.util.UUID;
+
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.vaadin.model.TypedEntityReference;
 
 public class TypeDesignationWorkingsetEditorIdSet {
 
-    Integer registrationId;
+    UUID registrationUuid;
     TypedEntityReference<IdentifiableEntity<?>> baseEntityRef;
-    Integer publicationId;
-    Integer typifiedNameId;
+    UUID publicationUuid;
+    UUID typifiedNameUuid;
 
     /**
-     * @param registrationId
+     * @param registrationUuid
      *            must be present
-     * @param workingsetId
-     *            can <code>null</code>. In this case the <code>publicationId</code>
-     *            and and typifiedNameId must be set.
-     *            <code>RegistrationAndWorkingsetId</code> refers to a not yet
-     *            existing working set, which should be created by the code in
-     *            case this makes sense.
-     * @param publicationId
-     *            Can <code>null</code> if the <code>workingsetId</code> is given.
-     * @param typifiedNameId
+     * @param baseEntityRef
+     *
+     * @param publicationUuid
+     *            Can <code>null</code> if the <code>workingsetID</code> is given.
+     * @param typifiedNameUuid
      *            Can <code>null</code> if the <code>workingsetId</code> is given
      */
-    protected TypeDesignationWorkingsetEditorIdSet(Integer registrationId, TypedEntityReference<IdentifiableEntity<?>> baseEntityRef, Integer publicationId, Integer typifiedNameId) {
-        this.registrationId = registrationId;
+    protected TypeDesignationWorkingsetEditorIdSet(UUID registrationUuid, TypedEntityReference<IdentifiableEntity<?>> baseEntityRef,
+            UUID publicationUuid, UUID typifiedNameUuid) {
+        this.registrationUuid = registrationUuid;
         this.baseEntityRef = baseEntityRef;
-        this.publicationId = publicationId;
-        this.typifiedNameId = typifiedNameId;
-        if(baseEntityRef == null && publicationId == null|| baseEntityRef == null && typifiedNameId == null){
+        this.publicationUuid = publicationUuid;
+        this.typifiedNameUuid = typifiedNameUuid;
+        if(baseEntityRef == null && publicationUuid == null|| baseEntityRef == null && typifiedNameUuid == null){
             throw new NullPointerException("When workingsetId is null, publicationId and typifiedNameId must be non null.");
         }
     }
 
-    public TypeDesignationWorkingsetEditorIdSet(Integer registrationId, TypedEntityReference<IdentifiableEntity<?>> baseEntityRef) {
-        this(registrationId, baseEntityRef, null, null);
+    public TypeDesignationWorkingsetEditorIdSet(UUID registrationUuid, TypedEntityReference<IdentifiableEntity<?>> baseEntityRef) {
+        this(registrationUuid, baseEntityRef, null, null);
     }
 
-    public TypeDesignationWorkingsetEditorIdSet(Integer registrationId, Integer publicationId, Integer typifiedNameId) {
-        this(registrationId, null, publicationId, typifiedNameId);
+    public TypeDesignationWorkingsetEditorIdSet(UUID registrationUuid, UUID publicationUuid, UUID typifiedNameUuid) {
+        this(registrationUuid, null, publicationUuid, typifiedNameUuid);
     }
 }
\ No newline at end of file
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/occurrence/CollectionEditorPresenter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/occurrence/CollectionEditorPresenter.java
index ed2c7998..9ac77221 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/occurrence/CollectionEditorPresenter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/occurrence/CollectionEditorPresenter.java
@@ -10,6 +10,7 @@ package eu.etaxonomy.cdm.vaadin.view.occurrence;
 
 import java.util.Arrays;
 import java.util.List;
+import java.util.UUID;
 
 import org.springframework.context.annotation.Scope;
 import org.vaadin.spring.events.annotation.EventBusListenerMethod;
@@ -43,7 +44,7 @@ public class CollectionEditorPresenter extends AbstractCdmEditorPresenter<Collec
      * {@inheritDoc}
      */
     @Override
-    protected Collection loadCdmEntityById(Integer identifier) {
+    protected Collection loadCdmEntity(UUID identifier) {
 
         List<String> initStrategy = Arrays.asList(new String []{
 
@@ -66,7 +67,7 @@ public class CollectionEditorPresenter extends AbstractCdmEditorPresenter<Collec
      * {@inheritDoc}
      */
     @Override
-    protected void guaranteePerEntityCRUDPermissions(Integer identifier) {
+    protected void guaranteePerEntityCRUDPermissions(UUID identifier) {
         if(crud != null){
             newAuthorityCreated = UserHelper.fromSession().createAuthorityForCurrentUser(Collection.class, identifier, crud, null);
         }
@@ -130,7 +131,7 @@ public class CollectionEditorPresenter extends AbstractCdmEditorPresenter<Collec
 
         collectionPopuEditor.grantToCurrentUser(this.crud);
         collectionPopuEditor.withDeleteButton(true);
-        collectionPopuEditor.loadInEditor(event.getEntityId());
+        collectionPopuEditor.loadInEditor(event.getEntityUuid());
     }
 
     @EventBusListenerMethod()
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/occurrence/CollectionPopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/occurrence/CollectionPopupEditor.java
index 2549d1e2..68c33d78 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/occurrence/CollectionPopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/occurrence/CollectionPopupEditor.java
@@ -145,7 +145,7 @@ public class CollectionPopupEditor extends AbstractCdmPopupEditor<Collection, Co
                 getViewEventBus().publish(this,
                     new CollectionEditorAction(
                             EditorActionType.EDIT,
-                            superCollectionCombobox.getValue().getId(),
+                            superCollectionCombobox.getValue().getUuid(),
                             superCollectionCombobox,
                             this)
                 );
@@ -173,7 +173,7 @@ public class CollectionPopupEditor extends AbstractCdmPopupEditor<Collection, Co
                     getViewEventBus().publish(this,
                             new CollectionEditorAction(
                                 EditorActionType.EDIT,
-                                superCollectionCombobox.getValue().getId(),
+                                superCollectionCombobox.getValue().getUuid(),
                                 superCollectionCombobox,
                                 this
                             )
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferenceEditorPresenter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferenceEditorPresenter.java
index 0ff1a256..22c68c54 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferenceEditorPresenter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferenceEditorPresenter.java
@@ -10,6 +10,7 @@ package eu.etaxonomy.cdm.vaadin.view.reference;
 
 import java.util.Arrays;
 import java.util.List;
+import java.util.UUID;
 
 import org.apache.log4j.Logger;
 import org.springframework.context.annotation.Scope;
@@ -84,7 +85,7 @@ public class ReferenceEditorPresenter extends AbstractCdmEditorPresenter<Referen
      * {@inheritDoc}
      */
     @Override
-    protected Reference loadCdmEntityById(Integer identifier) {
+    protected Reference loadCdmEntity(UUID identifier) {
 
         List<String> initStrategy = Arrays.asList(new String []{
 
@@ -117,7 +118,7 @@ public class ReferenceEditorPresenter extends AbstractCdmEditorPresenter<Referen
      * {@inheritDoc}
      */
     @Override
-    protected void guaranteePerEntityCRUDPermissions(Integer identifier) {
+    protected void guaranteePerEntityCRUDPermissions(UUID identifier) {
         if(crud != null){
             newAuthorityCreated = UserHelper.fromSession().createAuthorityForCurrentUser(Reference.class, identifier, crud, null);
         }
@@ -154,7 +155,7 @@ public class ReferenceEditorPresenter extends AbstractCdmEditorPresenter<Referen
            if(editorAction.isEditAction()){
                inReferencePopup = getNavigationManager().showInPopup(ReferencePopupEditor.class, getView());
                inReferencePopup.withDeleteButton(true);
-               inReferencePopup.loadInEditor(editorAction.getEntityId());
+               inReferencePopup.loadInEditor(editorAction.getEntityUuid());
            }
        }
    }
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditor.java
index 757410f3..1f429748 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditor.java
@@ -140,7 +140,7 @@ public class ReferencePopupEditor extends AbstractCdmPopupEditor<Reference, Refe
                 getViewEventBus().publish(this,
                     new ReferenceEditorAction(
                             EditorActionType.EDIT,
-                            inReferenceCombobox.getValue().getId(),
+                            inReferenceCombobox.getValue().getUuid(),
                             inReferenceCombobox,
                             this)
                 );
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListPresenter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListPresenter.java
index bee7f471..5321bd56 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListPresenter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListPresenter.java
@@ -10,6 +10,7 @@ package eu.etaxonomy.cdm.vaadin.view.registration;
 
 import java.util.EnumSet;
 import java.util.Set;
+import java.util.UUID;
 
 import org.apache.commons.lang3.StringUtils;
 import org.springframework.beans.factory.annotation.Autowired;
@@ -133,24 +134,24 @@ public class ListPresenter extends AbstractPresenter<ListView> {
     }
 
     @EventBusListenerMethod
-    public void onShowDetailsEvent(ShowDetailsEvent<RegistrationDTO, Integer> event) {
+    public void onShowDetailsEvent(ShowDetailsEvent<RegistrationDTO, UUID> event) {
 
         // FIXME check from own view!!!
         if(getView() == null){
             return;
         }
 
-        Integer registrationId = event.getIdentifier();
+        UUID registrationUuid = event.getIdentifier();
 
-        RegistrationDTO regDto = getWorkingSetService().loadDtoById(registrationId);
+        RegistrationDTO regDto = getWorkingSetService().loadDtoByUuid(registrationUuid);
         if(event.getProperty().equals("messages")){
 
             getView().openDetailsPopup("Messages", regDto.getValidationProblems());
 
         } else if(event.getProperty().equals("blockedBy")){
 
-            Set<RegistrationDTO> blockingRegs = getWorkingSetService().loadBlockingRegistrations(registrationId);
-            RegistrationItem regItem = getView().getRegistrationItem(registrationId);
+            Set<RegistrationDTO> blockingRegs = getWorkingSetService().loadBlockingRegistrations(registrationUuid);
+            RegistrationItem regItem = getView().getRegistrationItem(registrationUuid);
             regItem.showBlockingRegistrations(blockingRegs);
         }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListView.java
index af211d6f..a25c0232 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListView.java
@@ -9,6 +9,7 @@
 package eu.etaxonomy.cdm.vaadin.view.registration;
 
 import java.util.List;
+import java.util.UUID;
 
 import com.vaadin.ui.ListSelect;
 import com.vaadin.ui.TextField;
@@ -74,7 +75,7 @@ public interface ListView extends ApplicationView<ListPresenter>{
      */
     Mode getViewMode();
 
-    public RegistrationItem getRegistrationItem(int registrationId);
+    public RegistrationItem getRegistrationItem(UUID registrationUuid);
 
 
 }
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListViewBean.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListViewBean.java
index 8e4c3f71..0323e3bd 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListViewBean.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListViewBean.java
@@ -12,6 +12,7 @@ import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.List;
+import java.util.UUID;
 
 import org.springframework.security.core.GrantedAuthority;
 
@@ -162,8 +163,8 @@ public class ListViewBean extends AbstractPageView<ListPresenter> implements Lis
             item.setWidth(100, Unit.PERCENTAGE);
             item.getBlockedByButton().addClickListener(e -> getViewEventBus().publish(
                     this,
-                    new ShowDetailsEvent<Registration, Integer>(
-                            e, Registration.class, regDto.getId(), "blockedBy"
+                    new ShowDetailsEvent<Registration, UUID>(
+                            e, Registration.class, regDto.getUuid(), "blockedBy"
                             )
                     ));
             listContainer.addComponent(item);
@@ -274,10 +275,11 @@ public class ListViewBean extends AbstractPageView<ListPresenter> implements Lis
         return viewMode;
     }
 
-    public RegistrationItem getRegistrationItem(int registrationId){
+    @Override
+    public RegistrationItem getRegistrationItem(UUID registrationUuid){
         for(Component c : listContainer){
             RegistrationItem item = (RegistrationItem)c;
-            if(registrationId == item.getRegistrationId()){
+            if(registrationUuid.equals(item.getRegistrationUuid())){
                 return item;
             }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationDTO.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationDTO.java
index a330061e..484cc327 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationDTO.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationDTO.java
@@ -79,7 +79,7 @@ public class RegistrationDTO{
         if(hasName(reg)){
             citation = (Reference) reg.getName().getNomenclaturalReference();
             citationDetail = reg.getName().getNomenclaturalMicroReference();
-            name = new EntityReference(reg.getName().getId(), reg.getName().getTitleCache());
+            name = new EntityReference(reg.getName().getUuid(), reg.getName().getTitleCache());
         }
         if(hasTypifications(reg)){
             if(!reg.getTypeDesignations().isEmpty()){
@@ -192,15 +192,6 @@ public class RegistrationDTO{
     }
 
 
-    /**
-     * The entity ID of the Registration Item
-     * @return
-     */
-    public int getId() {
-        return reg.getId();
-    }
-
-
     public UUID getUuid() {
         return reg.getUuid();
     }
@@ -245,11 +236,9 @@ public class RegistrationDTO{
         }
     }
 
-    /**
-     * @return the citationID
-     */
-    public Integer getCitationID() {
-        return citation == null ? null : citation.getId();
+
+    public UUID getCitationUuid() {
+        return citation == null ? null : citation.getUuid();
     }
 
     public EntityReference getTypifiedNameRef() {
@@ -372,7 +361,7 @@ public class RegistrationDTO{
             blockedBy = new HashSet<>();
             if(reg.getBlockedBy() != null){
                 for(Registration blockReg : reg.getBlockedBy()){
-                    blockedBy.add(new TypedEntityReference<Registration>(Registration.class, blockReg.getId(), blockReg.getIdentifier()));
+                    blockedBy.add(new TypedEntityReference<Registration>(Registration.class, blockReg.getUuid(), blockReg.getIdentifier()));
                 }
             }
         }
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationEditorPresenter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationEditorPresenter.java
index a2f7d081..5d08f958 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationEditorPresenter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationEditorPresenter.java
@@ -10,6 +10,7 @@ package eu.etaxonomy.cdm.vaadin.view.registration;
 
 import java.util.Arrays;
 import java.util.List;
+import java.util.UUID;
 
 import org.springframework.context.annotation.Scope;
 
@@ -46,7 +47,7 @@ public class RegistrationEditorPresenter extends AbstractCdmEditorPresenter<Regi
      * {@inheritDoc}
      */
     @Override
-    protected Registration loadCdmEntityById(Integer identifier) {
+    protected Registration loadCdmEntity(UUID identifier) {
 
         Registration reg;
         if(identifier != null){
@@ -62,7 +63,7 @@ public class RegistrationEditorPresenter extends AbstractCdmEditorPresenter<Regi
      * {@inheritDoc}
      */
     @Override
-    protected void guaranteePerEntityCRUDPermissions(Integer identifier) {
+    protected void guaranteePerEntityCRUDPermissions(UUID identifier) {
         if(crud != null){
             newAuthorityCreated = UserHelper.fromSession().createAuthorityForCurrentUser(Registration.class, identifier, crud, null);
         }
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationMessagesPopup.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationMessagesPopup.java
index 7e2531cd..0dc105bb 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationMessagesPopup.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationMessagesPopup.java
@@ -11,6 +11,7 @@ package eu.etaxonomy.cdm.vaadin.view.registration;
 import java.text.SimpleDateFormat;
 import java.util.Collection;
 import java.util.List;
+import java.util.UUID;
 
 import org.apache.commons.lang3.StringUtils;
 import org.springframework.context.annotation.Scope;
@@ -166,8 +167,8 @@ public class RegistrationMessagesPopup extends AbstractPopupView<RegistrationMes
     /**
      * @param identifier
      */
-    public void loadMessagesFor(Integer registrationEntityId) {
-        getPresenter().loadMessagesFor(registrationEntityId);
+    public void loadMessagesFor(UUID registrationEntityUuid) {
+        getPresenter().loadMessagesFor(registrationEntityUuid);
 
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationMessagesPresenter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationMessagesPresenter.java
index 33494aef..5d69abd6 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationMessagesPresenter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationMessagesPresenter.java
@@ -11,6 +11,7 @@ package eu.etaxonomy.cdm.vaadin.view.registration;
 import java.util.Arrays;
 import java.util.List;
 import java.util.Stack;
+import java.util.UUID;
 
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.context.annotation.Scope;
@@ -56,9 +57,9 @@ public class RegistrationMessagesPresenter extends AbstractPresenter<Registratio
     /**
      * @param identifier
      */
-    public void loadMessagesFor(Integer id) {
+    public void loadMessagesFor(UUID uuid) {
         if(registration == null){
-            registration = registrationService.load(id, Arrays.asList("submitter"));
+            registration = registrationService.load(uuid, Arrays.asList("submitter"));
         }
         try {
             List<Message> messages = messageService.listMessages(registration);
@@ -99,7 +100,7 @@ public class RegistrationMessagesPresenter extends AbstractPresenter<Registratio
         }
         try {
             messageService.postMessage(registration, message, user, toUser);
-            loadMessagesFor(registration.getId());
+            loadMessagesFor(registration.getUuid());
         } catch (ExternalServiceException e) {
             logger.error(e);
             throw new RuntimeException(e);
